- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ShapeDrawable.cpp File Reference

`#include <osg/ShapeDrawable>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for lugins/osg/ShapeDrawable.cpp:

## Functions
bool | ShapeDrawable_readLocalData (Object &obj, Input &fr)
bool | ShapeDrawable_writeLocalData (const Object &obj, Output &fw)
## Variables
RegisterDotOsgWrapperProxy | g_ShapeDrawableFuncProxy (new osg::ShapeDrawable,"ShapeDrawable","Object Drawable ShapeDrawable",&ShapeDrawable_readLocalData,&ShapeDrawable_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

## Function Documentation

bool ShapeDrawable_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool ShapeDrawable_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_ShapeDrawableFuncProxy(new osg::ShapeDrawable,"ShapeDrawable","Object Drawable ShapeDrawable",&ShapeDrawable_readLocalData,&ShapeDrawable_writeLocalData, DotOsgWrapper::READ_AND_WRITE)